#---------------------------------------------------
# script before/after design.analyze
#---------------------------------------------------
set ::HQ.DEBUG.STEP.BeforeAnalyzeHDL {}
set ::HQ.DEBUG.STEP.AfterAnalyzeHDL  {}

#---------------------------------------------------
# script during SDB (CDFG) operation state
#---------------------------------------------------
set ::HQ.DEBUG.STEP.Sdb.Init { design.saveSdb sdb0.dump}
# before/after MUX optimization
set ::HQ.DEBUG.STEP.SdbOpt.BeforeMuxOpt {}
set ::HQ.DEBUG.STEP.SdbOpt.AfterMuxOpt  {}
# before/after FSM optimization
set ::HQ.DEBUG.STEP.SdbOpt.BeforeFsmOpt {}
set ::HQ.DEBUG.STEP.SdbOpt.AfterFsmOpt  {}
# before/after expression optimization
set ::HQ.DEBUG.STEP.SdbOpt.BeforeExprOpt {}
set ::HQ.DEBUG.STEP.SdbOpt.AfterExprOpt  {}
# before/after resoruce sharing
set ::HQ.DEBUG.STEP.SdbOpt.BeforeResShare {}
set ::HQ.DEBUG.STEP.SdbOpt.AfterResShare {}
# before/after infering SRL
set ::HQ.DEBUG.STEP.SdbOpt.BeforeInferSrl {}
set ::HQ.DEBUG.STEP.SdbOpt.AfterInferSrl {}

#---------------------------------------------------
# script before/after design.rtlsyn or edif.read
#---------------------------------------------------
set ::HQ.DEBUG.STEP.BeforeDesignEntry { design.save bef_rsyn.udb }
set ::HQ.DEBUG.STEP.AfterDesignEntry  {	nl.report }

#---------------------------------------------------
# script before/after design.tdomap
#---------------------------------------------------
set ::HQ.DEBUG.STEP.BeforeTmap {}
set ::HQ.DEBUG.STEP.AfterTmap  {}

#---------------------------------------------------
# script before/after design.pack
#---------------------------------------------------
set ::HQ.DEBUG.STEP.BeforePack {}
set ::HQ.DEBUG.STEP.AfterPack {}

#---------------------------------------------------
# script before/after design.place
#---------------------------------------------------
set ::HQ.DEBUG.STEP.BeforePlace { set HQ.NPLACE.ITERATION 40      }
set ::HQ.DEBUG.STEP.AfterCoreNplace  { ta.report -n 10 -o> pl_init_ta.rpt }
set ::HQ.DEBUG.STEP.AfterPlace  { ta.report -n 100 -o> pl_sta.rpt }

#---------------------------------------------------
# script before/after design.route
#---------------------------------------------------
set ::HQ.DEBUG.STEP.BeforeRoute {	set rt.dumpOverusedPins 1; set rt.printPsclkAssign 1 }
set ::HQ.DEBUG.STEP.AfterRoute { unset rt.dumpOverusedPins; unset rt.printPsclkAssign }

#---------------------------------------------------
# script before/after design.bitgen
#---------------------------------------------------
set ::HQ.DEBUG.STEP.BeforeBitgen {}
set ::HQ.DEBUG.STEP.AfterBitgen {}

